Package org.springframework.security.access.hierarchicalroles

# Class RoleHierarchyUtils

java.lang.Object
org.springframework.security.access.hierarchicalroles.RoleHierarchyUtils

public final class RoleHierarchyUtils extends Object
Utility methods for `RoleHierarchy`.

Since:
  4.2.0

## Method Summary

Modifier and Type
Method
Description
`static String`
`roleHierarchyFromMap(Map<String,List<String>> roleHierarchyMap)`
Converts the supplied `Map` of role name to implied role name(s) to a string representation understood by `RoleHierarchyImpl.setHierarchy(String)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### roleHierarchyFromMap

public static String roleHierarchyFromMap(Map<String,List<String>> roleHierarchyMap)
Converts the supplied `Map` of role name to implied role name(s) to a string representation understood by `RoleHierarchyImpl.setHierarchy(String)`. The map key is the role name and the map value is a `List` of implied role name(s).

Parameters:
  `roleHierarchyMap` - the mapping(s) of role name to implied role name(s)
Returns:
  a string representation of a role hierarchy
Throws:
  `IllegalArgumentException` - if roleHierarchyMap is null or empty or if a role name is null or empty or if an implied role name(s) is null or empty